Groovy Documentation

## org.codehaus.groovy.runtime.metaclass
[Java] Class MethodHelper

    java.lang.Object
      org.codehaus.groovy.runtime.metaclass.MethodHelper

    public class MethodHelper
    extends java.lang.Object

Some reflection helper methods

Authors:
  James Strachan

Version:
  \$Revision\$

Method Summary
`static boolean` | `isPublic(java.lang.reflect.Method method)`
`static boolean` | `isStatic(java.lang.reflect.Method method)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### isPublic

    public static boolean isPublic(java.lang.reflect.Method method)

### isStatic

    public static boolean isStatic(java.lang.reflect.Method method)

Groovy Documentation